% Channel system grpaph
% ch10_cs.m
clear all
%
B = 5; % average settlement balances
D = -19:20;
DD = B+10*D;
DD = D';
istar = 0.03;
s = 0.005;
il = istar - s;
iu = istar + s;
sl = ones(1,size(DD,1));
sz = zeros(1,size(DD,1));
upper = (iu*sl)';
lower = (il*sl)';
target = (istar*sl)';
%upp = [sz sl];
%low = [sl sz]';
fd=.5*erfc((DD/B)/(sqrt(2)));
i = istar - s*(1-2*fd);
%up = iu*upp';
%down = il*low;
%dp = il*upp' + iu*low;
fig = [lower i upper]; 
dimm = size(fig,1);
tid = linspace(1,dimm,dimm)';
tz = tid - tid;
tid = tid - 20;
plot(tid,target,'b',tid,lower,':b',tid,upper,':b',tid,i,'k')
legend('target rate','target minus s','target plus s','reserve demand')


