var PIE RR RN Y PSK RRN;

varexo EPIE ERRN POL;

parameters BETA SIGMA ETA OMEGA KAPPA RHOR RHORN DELTA ALPHA1 ALPHA2 ALPHA3 RHOV;
BETA = 0.99;
SIGMA = 1;
ETA = 1;
OMEGA = 0.8;
KAPPA = (SIGMA + ETA)*(1-OMEGA)*(1-BETA*OMEGA)/OMEGA;
RHOV = 0;
RHOR = 0;
RHORN = 0.5;
DELTA = 1.5;

ALPHA1=.5;
ALPHA2=.5;
ALPHA3=0;

model(linear);
    PIE = ALPHA1*BETA*PIE(1)+(1-ALPHA1)*PIE(-1)+KAPPA*Y+EPIE ;
    Y   = ALPHA2*Y(1)+(1-ALPHA2)*Y(-1)-(1/SIGMA)*(RR - RRN) ;
    RR  = RN-PIE(1) ;
    RN  = RHOR*RN(-1)+DELTA*PIE+ALPHA3*Y+PSK;
    PSK = RHOV*PSK(-1)+POL ;
    RRN = RHORN*RRN(-1) + ERRN;
end;
steady;
check;


shocks;
var EPIE;
stderr 1;
var ERRN;
stderr 1;
var POL;
stderr 1;
end;

stoch_simul;
//stoch_simul(periods=1000,irf=1,simul_seed=3)  ;
