% figures3.m
% Constructs figures 3.1 and 3.2 for third edition.
load resp3_v75
load resp3_v50
resp_v75 = resp3_v75;
resp_v50 = resp3_v50;
yn75 = [resp_v75(:,2) resp_v75(:,6)]
ipi75 = [resp_v75(:,8) resp_v75(:,9)]
yn50 = [resp_v50(:,2) resp_v50(:,6)]
ipi50 = [resp_v50(:,8) resp_v50(:,9)]

N = size(resp_v75,1)-1;
tid = 0:N;
zz = tid-tid;

%figure 3.1
figure (1)
plot(tid,zz,'k',tid,yn75(:,1),tid,yn75(:,2),'.',tid,yn50(:,1),tid,yn50(:,2),'.')
%axis([0 24  -.005 0.001]) % tight
legend('','y(t), \rho_u = 0.75','n(t), \rho_u = 0.75','y(t), \rho_u = 0.50','n(t), \rho_u = 0.50')

% figure 3.2
figure (2)
plot(tid,ipi75(:,1),tid,ipi50(:,1),'-.')
axis tight
legend('\rho_u = 0.75','\rho_u = 0.50')


